## org.w3c.www.http
Class HttpDate

    java.lang.Object
      |
      +--org.w3c.www.http.BasicValue
            |
            +--org.w3c.www.http.HttpDate

Direct Known Subclasses:
  CookieDate

public class HttpDate
extends BasicValue

Field Summary
`protected static byte[][]` `bdays`
`protected static byte[][]` `bmonthes`
`protected java.util.Calendar` `cal`
`protected java.lang.Long` `date`

Fields inherited from class org.w3c.www.http.BasicValue
`isValid, raw, rlen, roff`

Method Summary
`java.lang.Object` `getValue()` Get the date value.
`protected void` `parse()` Parse this header value into its various components.
`void` `setValue(long date)` Set this date object value.
`protected void` `updateByteValue()` Update the RFC822 compatible header value for this object.

Methods inherited from class org.w3c.www.http.BasicValue
`addBytes, appendValue, checkByteValue, emit, error, invalidateByteValue, setBytes, setString, toExternalForm, toString, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### bdays

    protected static byte[][] bdays

### bmonthes

    protected static byte[][] bmonthes

### date

    protected java.lang.Long date

### cal

    protected java.util.Calendar cal

Method Detail

### parse

    protected void parse()

  Description copied from class: BasicValue
  Parse this header value into its various components.
  Overrides:
    parse in class BasicValue
  Tags copied from class: BasicValue
  Throws:
    HttpParserException - if unable to parse.

### updateByteValue

    protected void updateByteValue()

  Description copied from class: BasicValue
  Update the RFC822 compatible header value for this object.
  Overrides:
    updateByteValue in class BasicValue

### getValue

    public java.lang.Object getValue()

  Get the date value.
  Overrides:
    getValue in class BasicValue
  Returns:
    A Long giving the date as a number of mmilliseconds since epoch.

### setValue

    public void setValue(long date)

  Set this date object value.
  Parameters:
    `date` - The new date value, as the number of milliseconds since epoch.